BASENAME(1)

NOMBRE
basename - elimina la parte de directorios y sufijos de los nombres de archivos

SINOPSIS
basename NOMBRE [SUFIJO]
basename OPCIÓN... NOMBRE...

DESCRIPCIÓN

Muestra NOMBRE eliminando cualquier componente de directorio que lo preceda. Si se especifica, también elimina un SUFIJO final.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-a, --multiple
    admite varios argumentos y trata cada uno como un NOMBRE

-s, --suffix=SUFIJO
    elimina el SUFIJO final; implica -a

-z, --zero
    termina cada línea con NULL, no con nueva línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

EJEMPLOS

basename /usr/bin/sort
    -> "sort"

basename include/stdio.h .h
    -> "stdio"

basename -s .h include/stdio.h
    -> "stdio"

basename -a directorio/cadena1 directorio/cadena2
    -> "cadena1" seguido por "cadena2"

AUTOR
Escrito por David MacKenzie.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
dirname(1), readlink(1)

Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/basename>
también disponible localmente ejecutando: info '(coreutils) basename invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Pedro Pablo Fábrega <pfabrega@arrakis.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.